## org.apache.lucene.analysis.ngram
Class NGramFilterFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenFilterFactory
              org.apache.lucene.analysis.ngram.NGramFilterFactory

    public class NGramFilterFactory

extends TokenFilterFactory

Factory for `NGramTokenFilter`.

     <fieldType name="text_ngrm" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.NGramFilterFactory" minGramSize="1" maxGramSize="2"/>
       </analyzer>
     </fieldType>

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`args, luceneMatchVersion`

Constructor Summary
`NGramFilterFactory()`

Method Summary
`NGramTokenFilter` `create(TokenStream input)` Transform the specified input TokenStream
`void` `init(Map<String,String> args)` Initialize the n-gram min and max sizes and the side from which one should start tokenizing.

Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory
`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, setLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NGramFilterFactory

    public NGramFilterFactory()

Method Detail

### init

    public void init(Map<String,String> args)

  Initialize the n-gram min and max sizes and the side from which one should start tokenizing.

  Overrides:
    `init` in class `AbstractAnalysisFactory`

### create

    public NGramTokenFilter create(TokenStream input)

  Description copied from class: `TokenFilterFactory`
  Transform the specified input TokenStream

  Specified by:
    `create` in class `TokenFilterFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.